package com.hfkj.service.order;

import com.hfkj.entity.BsOrderOutside;

import java.util.List;
import java.util.Map;

/**
  * @ClassName BsOrderOutsideService
  * @Author Sum1Dream
  * @Description  外部订单关联
  * @Date 2024/7/11 11:39
 **/
public interface BsOrderOutsideService {
    /**
     * @MethodName create
     * @Description: 创建
     * @param orderOutside
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:40
     */
    void create(BsOrderOutside orderOutside);
    /**
     * @MethodName update
     * @Description: 更新
     * @param orderOutside
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:40
     */
    void update(BsOrderOutside orderOutside);

    /**
     * @MethodName delete
     * @Description: 删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:40
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.BsOrderOutside
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:40
     */
    BsOrderOutside queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description: 根据map查询
     * @param map
     * @return: com.hfkj.entity.BsOrderOutside
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:40
     */
    BsOrderOutside queryDetailByMap(Map<String , Object> map);

    /**
     * @MethodName getList
     * @Description: 查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.BsOrderOutside>
     * @Author: Sum1Dream
     * @Date: 2024/7/11 11:41
     */
    List<BsOrderOutside> getList(Map<String , Object> map);
}
