package com.hfkj.service.recharge;

import com.hfkj.entity.RechargeCode;

import java.util.List;
import java.util.Map;

/**
  * @ClassName RechargeCodeService
  * @Author Sum1Dream
  * @Description
  * @Date 2024/6/24 下午3:07
 **/
public interface RechargeCodeService {

    /**
     * @MethodName create
     * @Description: 创建
     * @param rechargeCode
     * @Author: Sum1Dream
     * @Date: 2024/6/24 下午3:10
     */
    void create(RechargeCode rechargeCode);

    /**
     * @MethodName update
     * @Description: 更新
     * @param rechargeCode
     * @Author: Sum1Dream
     * @Date: 2024/6/24 下午3:11
     */
    void update(RechargeCode rechargeCode);

    /**
     * @MethodName delete
     * @Description: 删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2024/6/24 下午3:11
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description: 查询详情
     * @param id
     * @return: com.hfkj.entity.RechargeCode
     * @Author: Sum1Dream
     * @Date: 2024/6/24 下午3:11
     */
    RechargeCode queryDetail(Long id);

    /**
     * @MethodName getList
     * @Description: 查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.RechargeCode>
     * @Author: Sum1Dream
     * @Date: 2024/6/24 下午3:11
     */
    List<RechargeCode> getList(Map<String , Object> map);
}
